<?php

namespace App\Policies;

use App\Models\BankAccount;
use App\Models\User;

class BankAccountPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->can('view_bank_accounts');
    }

    public function view(User $user, BankAccount $bankAccount): bool
    {
        return $user->can('view_bank_accounts');
    }

    public function create(User $user): bool
    {
        return $user->can('create_bank_accounts');
    }

    public function update(User $user, BankAccount $bankAccount): bool
    {
        return $user->can('update_bank_accounts');
    }

    public function delete(User $user, BankAccount $bankAccount): bool
    {
        return $user->can('delete_bank_accounts');
    }

    public function deleteAny(User $user): bool
    {
        return $user->can('delete_bank_accounts');
    }
}
